{
  "name": "app-template",
  "private": true,
  "homepage": "https://git.onemue.cn/flexlark/app-template#readme",
  "bugs": {
    "url": "https://git.onemue.cn/flexlark/app-template/issues"
  },
  "repository": {
    "type": "git",
    "url": "git+https://git.onemue.cn/flexlark/app-template.git"
  },
  "author": {
    "name": "eeymoo",
    "email": "eeymoo@xmail.fun"
  },
  "workspaces": [
    "./apps/*",
    "./packages/*"
  ],
  "scripts": {
    "android": "cd apps/expo && yarn android",
    "build": "yarn workspaces foreach --all --exclude next-app run build",
    "check-tamagui": "tamagui check",
    "ci:eslint": "eslint -f json src -o ./.ci/eslint.json",
    "postinstall": "yarn check-tamagui && yarn build",
    "ios": "cd apps/expo && yarn ios",
    "lint": "eslint .",
    "lint:fix": "prettier --write . && eslint --fix .",
    "native": "cd apps/expo && yarn start",
    "native:prebuild": "cd apps/expo && yarn prebuild",
    "prepare": "husky",
    "test": "vitest run",
    "test:watch": "vitest",
    "upgrade:tamagui": "yarn up '*tamagui*'@latest '@tamagui/*'@latest",
    "upgrade:tamagui:canary": "yarn up '*tamagui*'@canary '@tamagui/*'@canary",
    "vercel:install": "yarn set version 3.5 && yarn install",
    "watch": "ultra -r --no-pretty --concurrency 400 watch",
    "web": "yarn build && cd apps/next && yarn next",
    "web:extract": "DISABLE_EXTRACTION=false yarn workspace next-app dev",
    "web:prod": "yarn workspace next-app build",
    "web:prod:serve": "yarn workspace next-app serve"
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ]
  },
  "lint-staged": {
    "*.{cjs,cts,js,jsx,mjs,mts,ts,tsx,vue}": "eslint --fix",
    "*.{cjs,css,cts,html,js,json,jsx,less,md,mjs,mts,scss,ts,tsx,vue,yaml,yml}": "prettier --write"
  },
  "prettier": "prettier-config-ali",
  "resolutions": {
    "react": "19.0.0",
    "react-dom": "19.0.0",
    "react-native-svg": "15.11.2",
    "react-native-web": "~0.19.12",
    "react-refresh": "^0.14.0"
  },
  "dependencies": {
    "@babel/runtime": "^7.24.6",
    "@tamagui/cli": "^1.132.18",
    "check-dependency-version-consistency": "^4.1.0",
    "eslint": "^9.3.0",
    "expo-sqlite": "~15.2.14",
    "husky": "^9.1.6",
    "prettier": "^3.3.3",
    "turbo": "^1.13.4",
    "typescript": "~5.8.3",
    "ultra-runner": "^3.10.5",
    "vitest": "^2.1.1"
  },
  "devDependencies": {
    "@biomejs/biome": "^1.9.3",
    "@commitlint/cli": "^19.8.1",
    "@commitlint/config-conventional": "^19.8.1",
    "eslint": "^9.34.0",
    "eslint-config-ali": "^16.5.0",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-prettier": "^5.5.4",
    "husky": "^9.1.7",
    "lint-staged": "^16.1.5",
    "prettier": "^3.6.2",
    "prettier-config-ali": "^1.5.0"
  },
  "packageManager": "yarn@4.5.0",
  "engines": {
    "node": "22",
    "npm": "10.8"
  }
}
